## org.eclipse.datatools.sqltools.sqlbuilder.views.criteria
Class CriteriaGridViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.jface.viewers.ColumnViewer
                      org.eclipse.jface.viewers.AbstractTableViewer
                          org.eclipse.jface.viewers.TableViewer
                              org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
                                  org.eclipse.datatools.sqltools.sqlbuilder.views.criteria.CriteriaGridViewer

All Implemented Interfaces:
  org.eclipse.jface.action.IMenuListener, org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

    public class CriteriaGridViewer

extends NavigableTableViewer
implements org.eclipse.jface.action.IMenuListener

Field Summary
`static java.lang.String[]` `dB2EveryplaceOperators`
`static java.lang.String[]` `operators`
`static java.lang.String` `P_STATEMENT_ANDOR`
`static java.lang.String` `P_STATEMENT_AS_TABLE_ROWS`
`static java.lang.String` `P_STATEMENT_COLUMN`
`static java.lang.String` `P_STATEMENT_OPERATOR`
`static java.lang.String` `P_STATEMENT_VALUE`

Fields inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
`copyright`

Constructor Summary
`CriteriaGridViewer(int style, SQLDomainModel domainModel, org.eclipse.swt.widgets.Composite parent, boolean having)`

Method Summary
`void` `menuAboutToShow(org.eclipse.jface.action.IMenuManager menu)`
`void` `refresh()`
`void` `refreshCellEditor(int row)`
`void` `setEnabled(boolean enable)`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
`getNavigator, setCellEditors`

Methods inherited from class org.eclipse.jface.viewers.TableViewer
`getControl, getTable, refresh, refresh, setSelection`

Methods inherited from class org.eclipse.jface.viewers.AbstractTableViewer
`add, add, clear, getElementAt, getLabelProvider, insert, remove, remove, replace, reveal, setItemCount`

Methods inherited from class org.eclipse.jface.viewers.ColumnViewer
`cancelEditing, editElement, getCell, getCellEditors, getCellModifier, getColumnProperties, getColumnViewerEditor, getLabelProvider, isBusy, isCellEditorActive, refresh, refresh, setCellModifier, setColumnProperties, setColumnViewerEditor, setLabelProvider, update`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, getComparator, getComparer, getFilters, getSelection, getSorter, refresh, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setContentProvider, setFilters, setInput, setSorter, setUseHashlookup, testFindItem, testFindItems, update`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Field Detail

### P_STATEMENT_COLUMN

    public static final java.lang.String P_STATEMENT_COLUMN

See Also:
  Constant Field Values

### P_STATEMENT_OPERATOR

    public static final java.lang.String P_STATEMENT_OPERATOR

See Also:
  Constant Field Values

### P_STATEMENT_VALUE

    public static final java.lang.String P_STATEMENT_VALUE

See Also:
  Constant Field Values

### P_STATEMENT_ANDOR

    public static final java.lang.String P_STATEMENT_ANDOR

See Also:
  Constant Field Values

### P_STATEMENT_AS_TABLE_ROWS

    public static final java.lang.String P_STATEMENT_AS_TABLE_ROWS

See Also:
  Constant Field Values

### dB2EveryplaceOperators

    public static final java.lang.String[] dB2EveryplaceOperators

### operators

    public static final java.lang.String[] operators

Constructor Detail

### CriteriaGridViewer

    public CriteriaGridViewer(int style,
                              SQLDomainModel domainModel,
                              org.eclipse.swt.widgets.Composite parent,
                              boolean having)

Method Detail

### refresh

    public void refresh()

  Overrides:
    `refresh` in class `NavigableTableViewer`

### menuAboutToShow

    public void menuAboutToShow(org.eclipse.jface.action.IMenuManager menu)

  Specified by:
    `menuAboutToShow` in interface `org.eclipse.jface.action.IMenuListener`

### refreshCellEditor

    public void refreshCellEditor(int row)

### setEnabled

    public void setEnabled(boolean enable)